#include "lib/function.h"

// please permission first.
// if you used this.
// twitter : @Miracle100KS

//===Terrain
bool isWater(vec4 clr){
  if(any(bvec2((clr.b*2.>clr.r+clr.g), (clr.g < .39 && clr.g > .25 && clr.b < clr.g && clr.b < .35 && clr.b > .23 && clr.r < clr.g && clr.r < clr.b)))){
return true;}else{return false;}}
  bool isUnderwater(vec2 fcc, vec4 fc){
if(all(bvec2(fcc.x == 0., fc.b > fc.r))){
return true;}else{return false;}}

//===Other dimensions
  bool isNether(vec2 fcc){
if(all(bvec3(fcc.x <= 0.125, fcc.x > 0., fcc.y >= .5))){
return true;}else{return false;}}
  bool isTheEnd(vec4 fc){
if(all(bvec3(fc.r > fc.g, fc.b > fc.g, all(bvec3(fc.r < .05, fc.b < .05, fc.g < .05))))){
return true;}else{return false;}}

//===glowingBlocks
  bool isGlow(Output Input){
if(((lessThan(Input.texSampler.rgb,vec3(.85,.25,.25))==bvec3(true)&& greaterThan(Input.texSampler.rgb,vec3(.825,.1,.1))==bvec3(true)) &&!(lessThan(Input.texTarget.rgb,vec3(.5,.5,.5))==bvec3(true) || greaterThan(Input.texTarget.rgb, vec3(.0,.0,.0))==bvec3(true)))){
return true;}else{return false;}}

//===metallicBlocks
  bool isMetallic(Output Input){
if(((lessThanEqual(Input.texSampler.rgb, vec3(0.,1.,0.))==bvec3(true) && greaterThanEqual(Input.texSampler.rgb, vec3(0.,.8,0.))==bvec3(true))&& (greaterThanEqual(Input.texTarget.rgb,vec3(.0,.0,.0))==bvec3(true) && lessThan(Input.texTarget.rgb,vec3(.8,.8,.8))==bvec3(true)))){
return true;}else{return false;}}

//===entityRainSupplement
   bool rain_f(vec4 fc){
if(any(bvec2(all(bvec2(lessThan(fc.rgb, vec3(.3))==bvec3(true), greaterThan(fc.rgb, vec3(.25))==bvec3(true))), all(bvec2(greaterThan(fc.rgb, vec3(.013))==bvec3(true), lessThan(fc.rgb, vec3(.12))==bvec3(true)))))){
return true;}else{return false;}}
  
