#include "lib/detection.fxh"

/*=============PLEASE READ==============
- NOTE:
> This is setting for WIND0WS10. After you modify some features in here, you must restart the game!!! <

> Sunbeam, Wet effect, Galaxy EndSky, Realistic Water & Waving can make your gameplay Lag if you on low devices. <

> Glowing ores only support with vanilla texture. sorry this feature isnt support any texturepack: <
========================================*/

/*===============OPTION=================
- How to modified?
give "ON" to activate 
give "OFF" to deactivate

- Example: 
#define name ON
#define name OFF

- Other Example:
#define HIGH_SATURATION ON 
#define HIGH_SATURATION OFF 
========================================*/

/*=========DEFAULT FEATURE=========*/

// Direction Light. If you deactivate it, the side of the block will not be bright
#define DIRLIGHT ON

// This is a coloring of this shader before (colorful)
#define HIGH_SATURATION OFF

// Water Realistic
#define REALISTIC_WATER ON

// Clear water
#define CLEAR_WATER ON

// Sun ray
#define RAY_SUN ON

// Bloom sun
#define BLOOM_SUN ON

// Shadow & shadow side block
#define SHADOW_UNDER_BLOCK ON

// Shadow side block
#define SHADOW_SIDE_BLOCK ON

// if you deactivate it, the shape of the sun will change to square (vanilla sun)
#define SHAPE_SUN ON

// Atmosphere
#define ATMOSPHERE ON

// Night vision
#define NIGHT_VISION OFF

/*===================================*/

/*======EXPERIMENTAL_FEATURE======*/

// Glowing ores 
#define GLOWING_ORES ON

// Galaxy EndSky
#define GALAXY OFF

// Sunbeam
#define SUNBEAM OFF

// Wet effect LAG
#define WET_EFFECT OFF

// Ground FOG at dusk
#define GROUND_FOG OFF

// Blink torch or Intense light
#define BLINK_TORCH OFF

/*=====================================*/

/*============REDUCE LAG=============*/

// underwater waving
#define UNDER_WATER_WAVING ON

// Water waving
#define WATER_WAVING ON

// Grass & leaves waving
#define LEAVES_WAVING ON

// Clouds. if you activate it, the clouds will be disappear
#define NO_CLOUD OFF

// Vanilla with glowing ores. This shader will be looking like vanilla shader but a little brighter (Enhanced Vanilla). if you turn ON this feature, you will NOT BE ABLE to activate other lag features.
#define VANILLA OFF

/*=====================================*/

