// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "uniformWorldConstants.h"
#include "uniformShaderConstants.h"
#include "fragmentVersionSimple.h"
#include "uniformPerFrameConstants.h"
#include "lib/Hash.h"

/////////////////////////////////////////////////////////////////
///////////////////////// STOP! /////////////////////////////////
// Made by @bicubic7
// Don't steal anything!
// Don't use code without permit!
/////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////

varying hmp vec3 pos;
varying hmp vec4 dpos;

float drawcloud(highp vec2 pos,float value){
	float tot = 0.,s= 1.;
	highp vec2 ptime = TIME*vec2(-2.,1.3);
		pos += ptime*0.008;

for(float f = 0.; f < 4.; f++){
	tot += noise(pos)*1.*value/s; s *= 2.2;
	pos *= 2.8;
	pos += ptime*0.15*sin(f);
}
return 1.-pow(.1,max(1.-tot,0.));
}

vec4 renderclouds(highp vec2 pos,highp vec3 rpos,float py){
	float ys = clamp(py, 0.0, 0.4) * 2.5 + 0.7;
	vec3 tot = vec3(0.);
	float value = mix(1.95,1.2,1.-pow(FOG_CONTROL.y,10.0));
	float a = .0;

	vec3 basecloudcolor = FOG_COLOR.rgb*1.3;
	float dither = dithering(rpos*400.0)*0.05;
		pos *= 1.2;

for(float f = 0.; f <= 10.; f++){

	float denc = drawcloud(pos+dither, value);
	value /= 1.07; pos /= 1.03;

	if(denc > 0.0){
			float night = pow(max(min(1.-FOG_COLOR.r*1.5,1.),.0),1.2);  
			vec3 cloudcolorc = mix(vec3(1.,.8,1.),vec3(.2,.4,.8)*0.8,night);
			cloudcolorc = mix(cloudcolorc,vec3(1.,.8,1.)*1.2,(1.-FOG_COLOR.b)*clamp((FOG_COLOR.r-.15)*1.25,0.,1.));
			cloudcolorc = mix(cloudcolorc, FOG_COLOR.rgb*1.5, 1.-pow(FOG_CONTROL.y,10.0));
			tot = mix(tot,mix(cloudcolorc*1.5,basecloudcolor*denc,denc),denc);
			a += mix(0.,(1.-denc*0.4)*(1.-a),denc);
	}

	basecloudcolor /= 1.03;
}
	vec4 result = vec4(tot,a);
	result.a = mix(result.a, 0.0, min(pow(ys, 10.0), 1.0));
	result = vec4(result.rgb, clamp((result.a-0.6)*1.5, 0.0, 1.0)) * result.a;
return result;
}


void main(){

	vec3 po = pos/(pos.y-0.14);
	vec3 fp = vec3(po.x, 0., po.z);

	vec4 cloud = renderclouds(fp.xz*1.5,po,pos.y);
gl_FragColor = cloud;

}
